Bug 55147 - Openoffice build failure
Summary: Openoffice build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-01 15:00 UTC by David Gilbert
Modified: 2004-02-21 09:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Gilbert 2003-08-01 15:00:19 UTC
cc -o xpidl_util.o -c -DOSTYPE=\"FreeBSD5\" -DOSARCH=\"FreeBSD\" -DOJI   -I../../../dist/include/xpcom -I../../../dist/include -I/usr/ports/editors/openoffice/work/mozilla/work/mozilla/dist/include/nspr  -I/usr/local/include -I/usr/local/include -I/usr/local/include  -I/usr/X11R6/include   -fPIC -I/usr/X11R6/include  -I/usr/X11R6/include -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -O -pipe -mcpu=pentiumpro -pipe  -DNDEBUG -DTRIMMED -ffunction-sections -I/usr/local/include/glib12 -I/usr/local/include/libIDL-1.0 -I/usr/local/include/glib12  -I/usr/X11R6/include  -I/usr/X11R6/include -include ../../../config-defs.h -DMOZILLA_CLIENT xpidl_util.c
xpidl_util.c:830:62: pasting "IDL_tree_warning" and "(" does not give a valid preprocessing token
gmake[4]: *** [xpidl_util.o] Error 1
gmake[4]: Leaving directory `/usr/ports/editors/openoffice/work/mozilla/work/mozilla/xpcom/typelib/xpidl'
gmake[3]: *** [export] Error 2
gmake[3]: Leaving directory `/usr/ports/editors/openoffice/work/mozilla/work/mozilla/xpcom/typelib'
gmake[2]: *** [export] Error 2
gmake[2]: Leaving directory `/usr/ports/editors/openoffice/work/mozilla/work/mozilla/xpcom'
gmake[1]: *** [tier_9] Error 2
gmake[1]: Leaving directory `/usr/ports/editors/openoffice/work/mozilla/work/mozilla'
gmake: *** [default] Error 2
*** Error code 2

Stop in /usr/ports/editors/openoffice/work/mozilla.
*** Error code 1

Stop in /usr/ports/editors/openoffice.
*** Error code 1

Stop in /usr/ports/editors/openoffice.
*** Error code 1

Stop in /usr/ports/editors/openoffice.

How-To-Repeat: cd /usr/ports/editors/openoffice
make

I've tested with a few combinations of the different make options.
They don't appear to make a difference.
Comment 1 Kirill Ponomarev freebsd_committer 2003-08-01 15:01:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer.
Comment 2 Craig Rodrigues 2004-02-14 17:09:28 UTC
Hi,

I've been able to build Openoffice 1.1
under FreeBSD-CURRENT, so I unless
you still have a problem, you might want
to close this PR.

-- 
Craig Rodrigues        
rodrigc@crodrigues.org
Comment 3 David Gilbert 2004-02-16 19:55:59 UTC
>>>>> "Craig" == Craig Rodrigues <rodrigc@crodrigues.org> writes:

Craig> Hi, I've been able to build Openoffice 1.1 under
Craig> FreeBSD-CURRENT, so I unless you still have a problem, you
Craig> might want to close this PR.

I'm still getting the same kind of problems.  It ends with
freebsd-local.sh missing.

Dave.

-- 
============================================================================
|David Gilbert, Independent Contractor.       | Two things can only be     |
|Mail:       dave@daveg.ca                    |  equal if and only if they |
|http://daveg.ca                              |   are precisely opposite.  |
=========================================================GLO================
Comment 4 Martin Blapp freebsd_committer 2004-02-21 09:30:05 UTC
State Changed
From-To: open->closed

Fixed a long time ago.